TypeScript
import { Configuration, SystemApi } from "@zippendo/sdk"
const api = new SystemApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.healthCheck({ })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.SystemApi(client).health_check()<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\SystemApi(new GuzzleHttp\Client(), $config);
$result = $api->healthCheck();client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.SystemAPI.HealthCheck(ctx).Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::SystemApi.new.health_check()curl --request GET \
--url https://api.zippendo.com/health \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/health")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "ok",
"timestamp": "2026-06-22T14:30:00.000Z",
"version": "1.0.0"
}System
Health check
Return the service health status, current timestamp, and version.
GET
/
health
TypeScript
import { Configuration, SystemApi } from "@zippendo/sdk"
const api = new SystemApi(new Configuration({ accessToken: process.env.ZIPPENDO_API_TOKEN }))
const result = await api.healthCheck({ })import os
import zippendo
config = zippendo.Configuration(access_token=os.environ["ZIPPENDO_API_TOKEN"])
with zippendo.ApiClient(config) as client:
result = zippendo.SystemApi(client).health_check()<?php
$config = Zippendo\Sdk\Configuration::getDefaultConfiguration()->setAccessToken(getenv("ZIPPENDO_API_TOKEN"));
$api = new Zippendo\Sdk\Api\SystemApi(new GuzzleHttp\Client(), $config);
$result = $api->healthCheck();client := zippendo.NewAPIClient(zippendo.NewConfiguration())
ctx := context.WithValue(context.Background(), zippendo.ContextAccessToken, os.Getenv("ZIPPENDO_API_TOKEN"))
result, _, err := client.SystemAPI.HealthCheck(ctx).Execute()require "zippendo"
Zippendo.configure { |c| c.access_token = ENV["ZIPPENDO_API_TOKEN"] }
result = Zippendo::SystemApi.new.health_check()curl --request GET \
--url https://api.zippendo.com/health \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zippendo.com/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.zippendo.com/health")
.header("Authorization", "Bearer <token>")
.asString();{
"status": "ok",
"timestamp": "2026-06-22T14:30:00.000Z",
"version": "1.0.0"
}Authorizations
JWT access token or API token (prefixed with zipp_)
Was this page helpful?
⌘I